### Method

# EDataCal CalMetaBackend load_component_sync

since: 3.26

#### Declaration [src]

    gboolean
    e_cal_meta_backend_load_component_sync (
      ECalMetaBackend* meta_backend,
      const gchar* uid,
      const gchar* extra,
      ICalComponent** out_component,
      gchar** out_extra,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Loads a component from the remote side. Any detached instances should be returned together with the master object. The `out_component` can be either a VCALENDAR component, which would contain the master object and all of its detached instances, eventually also used time zones, or the requested component of type VEVENT, VJOURNAL or VTODO.

It is mandatory to implement this virtual method by the descendant.

The returned `out_component` should be freed with g_object_unref(), when no longer needed.

The returned `out_extra` should be freed with g_free(), when no longer needed.

Available since: 3.26

#### Parameters

`uid`

  Type: `const gchar*`

  A component UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extra`

  Type: `const gchar*`

  Optional extra data stored with the component, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_component`

  Type: `None`

  A loaded component, as `ICalComponent`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`out_extra`

  Type: `gchar**`

  An extra data to store to `ECalCache` with this component.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether succeeded.